Create Resident Charge: Entrata
https://api.propexo.com/v1/resident-charges/entrata/| Method |
|---|
| artransactions/sendLeaseArTransactions |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the charge code
The transaction date of the resident charge. The timestamp will be stripped off and only the date will be used
Show 2 variants
The post month for the resident charge. The timestamp and day will be stripped off and only the month and year will be used
Show 2 variants
The amount of the resident charge, in cents. A positive charge represents an increase of money owed. A negative charge represents a reduction of money owed
Description of the resident charge
A unique value provided to Entrata to uniquely identify the transaction from your system. This can be an alphanumeric string. This does not become the ID of the transaction in Entrata. If not provided, Propexo will generate one
Whether or not the resident charge requires approval. This will require the charge be approved first before being posted to the ledger
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the charge code
Show 2 variants
The post month for the resident charge. The timestamp and day will be stripped off and only the month and year will be used
Show 2 variants
The amount of the resident charge, in cents. A positive charge represents an increase of money owed. A negative charge represents a reduction of money owed
Description of the resident charge
A unique value provided to Entrata to uniquely identify the transaction from your system. This can be an alphanumeric string. This does not become the ID of the transaction in Entrata. If not provided, Propexo will generate one
Whether or not the resident charge requires approval. This will require the charge be approved first before being posted to the ledger
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-charges/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"description": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"post_month": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"description": "string",
"third_party_charge_id": "string",
"is_approval_required": true
}
}